# Prevent multiple conversations

![](https://user-images.githubusercontent.com/47848430/179253313-86628998-8a0b-4127-b7a1-7fd1ac6140be.png)

A new feature in Tiledesk widget settings will prevent your customers from starting a new conversation if they already have one open. This change makes conversations more of a continuous thread, preventing customers from reaching out to your team multiple times, which saves your team time and effort. This feature is named as **Single Conversation**

## Overview

Tiledesk Widget can handle only one conversation at a time by properly setting the singleConversation property. In fact, just set **singleConversation** to **true** (see how to do this [here](https://developer.tiledesk.com/widget/installation/attributes)) to be able to show the widget user only one conversation at a time. This option disables the possibility of viewing the home with the list of open conversations and those already archived as image below highlight.

![singleConversation](https://user-images.githubusercontent.com/47848430/179259137-42b932b1-1312-44c7-83c6-9534d39905bf.png)

Once the user has been authenticated, the widget proceeds with the normal initialization flow of a new conversation only if the user has no active conversation previously, otherwise, the widget will load the most recent active conversation

## How to set *singleConversation* mode

As with the other widget setting parameters, **singleConversation** mode can be enabled in various ways: as a url parameter or as a property of tiledeskSettings.

### Set property from **tiledeskSettings**

You can passing the parameters to **window\.tiledeskSettings** object as shown in the example below

```html
<script type="application/javascript">
    window.tiledeskSettings = 
        {
            projectid: "<YOUR_PROJECT_ID>",
            singleConverstion: true
        };
    (function(d, s, id) {
        var w=window; var d=document; var i=function(){i.c(arguments);}; 
        i.q=[]; i.c=function(args){i.q.push(args);}; w.Tiledesk=i; 
        var js, fjs=d.getElementsByTagName(s)[0]; 
        if (d.getElementById(id)) return; 
        js=d.createElement(s); 
        js.id=id; js.async=true; js.src="https://widget.tiledesk.com/v6/launch.js";
        fjs.parentNode.insertBefore(js, fjs);
    }(document,'script','tiledesk-jssdk'));
</script>
```

The above script can start widget with the single conversation mode, immediately

### Set property from **URL**

You can pass the a tiledesk widget property as a Url parameter with the **tiledesk\_** prefix. For example, in this case:

```
https://widget.tiledesk.com/6/assets/twp/index.html?tiledesk_projectid=<YOUR_PROJECT_ID>&tiledesk_singleConversation=true
```

## Make a Sign Out

In this mode, the user can still logout from the system by using the menu at the top right corner in the conversation header, as shown in the figure below.

![](https://user-images.githubusercontent.com/47848430/179550749-cef51928-5d64-4f13-b70b-54f99ff7feeb.png)

Once you have make a sign out, widget restarts itself and create a new user. New initialization flow of a new conversation starts and new user can starts to chat again!!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tiledesk.com/widget/advanced/singleconversation-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
